
TYPO3.Flow - Task # 7682

Status: Resolved Priority: Should have
Author: Robert Lemke Category:
Created: 2010-05-06 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Replace generic exceptions by proper exceptions
Description

Well, the subject says all: we shouldn't use RuntimeException, LogicException etc. because they undermine our hierarchical exception
architecture. One exception though (pun not intended): InvalidArgumentException.

Associated revisions
Revision 689749c6 - 2010-06-10 15:57 - Karsten Dambekalns

[~TASK] FLOW3: Replaced generic exceptions by exceptions coming from the defined exception hierarchy, resolves #7682.
[~TASK] Fluid: Replaced generic exceptions by exceptions coming from the defined exception hierarchy, relates to #7682.
[~TASK] Kickstart: Replaced generic exceptions by exceptions coming from the defined exception hierarchy, relates to #7682.
[~TASK] Testing: Replaced generic exceptions by exceptions coming from the defined exception hierarchy, relates to #7682.
[~TASK] TypoScript: Replaced generic exceptions by exceptions coming from the defined exception hierarchy, relates to #7682. Renamed on
exception to follow CGL.
[~TASK] TYPO3: Replaced generic exceptions by exceptions coming from the defined exception hierarchy, relates to #7682. Renamed existing
exceptions to follow CGL.

History
#1 - 2010-06-10 14:55 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 10
- Start date changed from 2010-05-06 to 2010-06-10
- Estimated time set to 2.00

#2 - 2010-06-10 14:56 - Karsten Dambekalns
- Subject changed from Replace RuntimeException by proper exceptions to Replace generic exceptions by proper exceptions

#3 - 2010-06-10 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4483.
